﻿using BaseApplicationProject.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace BaseApplicationProject
{
    public class TreeDataTemplateSelector : DataTemplateSelector
    {
        public DataTemplate AssessmentTemplate { get; set; }
        public DataTemplate GroupTemplate { get; set; }
        public DataTemplate GroupTemplate2 { get; set; }
        public DataTemplate QuestionTemplate { get; set; }

        public DataTemplate EmptyTemplate { get; set; }

        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            if (item is AssessmentViewModel)
            {
                return this.AssessmentTemplate;
            }
            else if (item is QuestionGroupViewModel)
            {
                if (((QuestionGroupViewModel)item).ChildQuestionGroupViewModels.Count > 0)
                {
                    return this.GroupTemplate2;
                }
                else
                {
                    return this.GroupTemplate;
                }
            }
            else
            {

                return this.QuestionTemplate;
            }
            //return base.SelectTemplate(item, container);
        }
    }
}
